Package org.bukkit.event.server

# Class ServiceUnregisterEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.ServiceEvent
org.bukkit.event.server.ServiceUnregisterEvent

public class ServiceUnregisterEvent extends ServiceEvent
This event is called when a service is unregistered.

Warning: The order in which register and unregister events are called should not be relied upon.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServiceUnregisterEvent(@NotNull RegisteredServiceProvider<?> serviceProvider)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.server.ServiceEvent

`getProvider`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceUnregisterEvent

public ServiceUnregisterEvent(@NotNull @NotNull RegisteredServiceProvider<?> serviceProvider)

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()